rte_table_action_ttl_config(3)

NAME
rte_table_action_ttl_config

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

int drop
int n_packets_enabled

Detailed Description

RTE_TABLE_ACTION_TTL TTL action configuration (per table action profile).

Definition at line 612 of file rte_table_action.h.

Field Documentation

  int drop
When non-zero, the input packets whose updated IPv4 Time to Live (TTL) field or IPv6 Hop Limit (HL) field is zero are dropped. When zero, the input packets whose updated IPv4 TTL field or IPv6 HL field is zero are forwarded as usual (typically for debugging purpose).

Definition at line 619 of file rte_table_action.h.

  int n_packets_enabled
When non-zero, the n_packets stats counter for TTL action is enabled, otherwise disabled.

See also
    struct rte_table_action_ttl_counters

Definition at line 626 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.